%define module odf
%define srcname	odfpy

Name:		python-%{module}
Version:	1.4.1
Release:	%mkrel 1
Summary:	Python2 library for manipulating OpenDocument files
Group:		Development/Python
License:	GPLv2+
URL:		https://github.com/eea/odfpy/wiki
Source0:	https://pypi.python.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.xz
BuildArch:	noarch

%description
Odfpy aims to be a complete API for OpenDocument in Python. Unlike
other more convenient APIs, this one is essentially an abstraction
layer just above the XML format. The main focus has been to prevent
the programmer from creating invalid documents. It has checks that
raise an exception if the programmer adds an invalid element, adds an
attribute unknown to the grammar, forgets to add a required attribute
or adds text to an element that doesn't allow it.

These checks and the API itself were generated from the RelaxNG
schema, and then hand-edited. Therefore the API is complete and can
handle all ODF constructions, but could be improved in its
understanding of data types.

%package -n python3-%{module}
Summary:	Python3 library for manipulating OpenDocument files
Group:		Development/Python
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
Provides:       python3-odfpy = %{version}-%{release}
Obsoletes:      python3-odfpy
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-odf
Odfpy aims to be a complete API for OpenDocument in Python. Unlike
other more convenient APIs, this one is essentially an abstraction
layer just above the XML format. The main focus has been to prevent
the programmer from creating invalid documents. It has checks that
raise an exception if the programmer adds an invalid element, adds an
attribute unknown to the grammar, forgets to add a required attribute
or adds text to an element that doesn't allow it.

These checks and the API itself were generated from the RelaxNG
schema, and then hand-edited. Therefore the API is complete and can
handle all ODF constructions, but could be improved in its
understanding of data types.

%package -n python-odf-doc
Summary:	documentation and examples for python-odf and python3-odf
Group:		Development/Python

%description -n python-odf-doc
Odfpy is a library to read and write OpenDocument v. 1.1 files.

%package -n python-odf-tools
Summary:	Python API and tools to manipulate OpenDocument files
Group:		Development/Python
Requires:	python3-odf = %{version}-%{release}
Obsoletes:	python-odf

%description -n python-odf-tools
Odfpy is a library to read and write OpenDocument v. 1.1 files.

%prep
%setup -q -n %{srcname}-%{version}

# drop bundled egg-info
rm -rf %{srcname}.egg-info/

%build
%py3_build

%install
%py3_install

sed -i '/#!\/usr\/bin\/python/d' %{buildroot}%{python3_sitelib}/odf/*.py

%files -n python3-odf
%{python3_sitelib}/*egg-info
%{python3_sitelib}/odf

%files -n python-odf-doc
%doc examples contrib

%files -n python-odf-tools
%{_mandir}/man1/*
%{_bindir}/*


%changelog
* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 1.4.1-1pclos2022
- update and rebuild for python 3.10

* Fri Oct 04 2019 tex - 1.4.0-1pclos2019
- update
